## kbackup 0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

include(KDE4Defaults)
include(MacroLibrary)

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(po)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
  SET(catalogname kbackup)

  ADD_CUSTOM_TARGET(translations ALL)

  FILE(GLOB PO_FILES *.po)

  FOREACH(_poFile ${PO_FILES})
    GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
    SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

    ADD_CUSTOM_COMMAND(TARGET translations
      COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
      DEPENDS ${_poFile})
    INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo)
  ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
add_subdirectory(pics)

########### next target ###############

set(kbackup_SRCS
    Archiver.cxx
    MainWindow.cxx
    Selector.cxx
    main.cxx
    MainWidget.cxx
    SettingsDialog.cxx
    )

kde4_add_ui_files(kbackup_SRCS MainWidgetBase.ui SettingsDialog.ui)

kde4_add_executable(kbackup ${kbackup_SRCS})

target_link_libraries(kbackup ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QT3SUPPORT_LIBRARY})

install(TARGETS kbackup ${INSTALL_TARGETS_DEFAULT_ARGS})

find_package(SharedMimeInfo REQUIRED)

install(FILES kbackup.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

install(FILES  kbackup.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  kbackupui.rc DESTINATION ${DATA_INSTALL_DIR}/kbackup)

kde4_install_icons(${ICON_INSTALL_DIR})

=== doc/de/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR kbackup)

=== doc/fr/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR kbackup)

=== doc/ru/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ru SUBDIR kbackup)

=== src/pics/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

kde4_install_icons(${DATA_INSTALL_DIR}/kbackup/icons)

## kbackup 0.7

=== debian/changelog ===
kbackup (0.7-1) unstable; urgency=low

  * Initial release (Closes: #588926)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jul 2010 15:10:15 -0400

=== debian/control ===
Source: kbackup
Section: kde
Priority: optional
Maintainer: Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6), pkg-kde-tools (>= 0.5), kdelibs5-dev, libqt4-dev, gettext, shared-mime-info
Homepage: http://kde-apps.org/content/show.php/KBackup?content=44998
Standards-Version: 3.9.0

Package: kbackup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Easy to use backup program
 Kbackup is a program that lets you back up any directories or files. It uses
 an easy to use directory tree to select the things to back up and lets you
 save your settings in "profile" files. These are simple textfiles containing
 definitions for directories and files to be included or excluded from the
 backup process.

=== debian/watch ===
# Kbackup is distributed via kde-apps.org and there is no way to build a watch
# file for it.  http://kde-apps.org/content/show.php/KBackup?content=44998

## kbackup 0.7.1

=== debian/changelog ===
kbackup (0.7.1-1) unstable; urgency=low

  * New upstream release
  * Updated watch file for new download location (thanks to Felix Geyer for
    the update)
  * Update copyright year in debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Mar 2011 09:47:07 -0500

kbackup (0.7-2) unstable; urgency=low

  * Add README.Debian to document Debian specific requirements for running
    as root (Closes: #596903)
  * Update debian/watch so it works
  * Update standards version to 3.9.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 31 Jan 2011 15:51:32 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6), pkg-kde-tools (>= 0.5), kdelibs5-dev, libqt4-dev, gettext, shared-mime-info
 Homepage: http://kde-apps.org/content/show.php/KBackup?content=44998
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 
 Package: kbackup
 Architecture: any

## kbackup 0.8

=== debian/changelog ===
kbackup (0.8-2) unstable; urgency=low

  * Upload to unstable
  * Update standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 29 Apr 2013 18:39:07 -0400

kbackup (0.8-1) experimental; urgency=low

  * New upstream release
    - Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 Jul 2012 08:51:28 -0400

kbackup (0.7.1-3) unstable; urgency=low

  * Drop mistaken override_dh_auto_install from last upload

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Jun 2012 10:19:58 -0400

kbackup (0.7.1-2) unstable; urgency=low

  * Bump debian/compat and minimum debhelper build-depend to 9 for hardening
    flags
  * Bump standards version to 3.9.3 without further change
  * Add override in debian/rules to manually remove mysterious dangling
    symlinks from HTML documentation

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Jun 2012 01:06:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6), pkg-kde-tools (>= 0.5), kdelibs5-dev, libqt4-dev, gettext, shared-mime-info
+Build-Depends: debhelper (>= 9), cmake (>= 2.6), pkg-kde-tools (>= 0.5), kdelibs5-dev, libqt4-dev, gettext, shared-mime-info
 Homepage: http://kde-apps.org/content/show.php/KBackup?content=44998
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 
 Package: kbackup
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde

=== debian/watch ===
version=3
http://kde-apps.org/content/download.php?content=44998 \
  http://members.aon.at/m.koller/kbackup-([\d\.]+)\.tar\.(?:gz|bz2)

## kbackup 1.2.11

=== KBackup-manual/Makefile ===

all:  letter a4 ascii html 

install: all
	mv KBackup/* ../docs/html
	cp manualA4.ps manualLetter.ps ascii/manual.asc ../docs

a4: *.tex
	cp dstyle-A4.tex dstyle.tex
	latex KBackup.tex
	makeindex KBackup.idx
	latex KBackup.tex && latex KBackup.tex && latex KBackup.tex
	dvips -o manualA4.ps KBackup.dvi


KBackup.dvi: *.tex
	latex KBackup.tex
	makeindex KBackup.idx
	latex KBackup.tex&& latex KBackup.tex && latex KBackup.tex




quick: *.tex
	latex KBackup.tex

html:	tohtml-doc

tohtml-doc:
	cp dot.latex2html-doc .latex2html-init
	latex2html KBackup.tex
	cp /usr/lib/latex2html/icons/* KBackup
	chmod +w KBackup/*
	rm .latex2html-init


letter: *.tex
	cp dstyle-letter.tex dstyle.tex
	latex KBackup.tex; makeindex KBackup.idx; latex KBackup.tex
	dvips -o manualLetter.ps KBackup.dvi

ascii: *.tex
	( cd ascii ; ./convert )


clean:
	rm -rf *.dvi *.toc *.ps *.idx *.aux *.ind *.ilg *.log KBackup

.PHONY: clean install ascii letter a4 htmlconf tohtml-doc tohtml-www www html quick all

=== multibuf/Makefile ===
#
# I don't really dare to use optimisation here, I prefer it to be reliable.
#
CFLAGS=$(RPM_OPT_FLAGS)

multibuf: multibuf.c
	$(CC) $(CFLAGS) -D_XOPEN_SOURCE -DNDEBUG multibuf.c -o multibuf
	  

debug:
	$(CC) $(CFLAGS) -D_XOPEN_SOURCE -g3 -Wall -pedantic multibuf.c -o multibuf
clean:
	rm -rf core *.o multibuf

## kbackup 18.04.3

=== debian/changelog ===
kbackup (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.04.3)
  * debian/rules: Pass --with kf5 to dh

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Sep 2018 17:15:09 +0100

kbackup (18.04.0-1) unstable; urgency=low

  * New upstream release. (Closes: #896695)
  * Update maintainer to KDE team and add myself and Scott Kitterman
    to uploaders.
  * Update compat to 11.
    - Bump debhelper (>= 11)
  * Update homepage.
  * Add VCS entries.
  * Update watch file.
    - Update to version 4.
    - Add pgp support with upstream key.
    - Update url.
  * Update copyright file to format 1.0
  * Update build dependencies for qt5 port. wrap-and-sort.
  * Update standards version to 4.1.4 without further changes.
  * Add hardening+=bindnow.
  * Update upstream metadata
  * Remove --with kde from rules.
  * Update copyright.
    - Add LGPL copyright files to copyright.
    - Add po copyright authors.
    - Fix indentation
    - Remove extra po/* entry.

 -- Scarlett Clark <sgclark@kde.org>  Tue, 08 May 2018 07:59:16 -0700

=== debian/control ===
Source: kbackup
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kde.org>,
           Scott Kitterman <scott@kitterman.com>
Build-Depends: cmake (>= 2.6),
               debhelper (>= 11),
               extra-cmake-modules,
               gettext,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.5),
               qtbase5-dev,
               shared-mime-info,
Homepage: https://www.kde.org/applications/utilities/kbackup/
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git

Package: kbackup
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Easy to use backup program
 Kbackup is a program that lets you back up any directories or files. It uses
 an easy to use directory tree to select the things to back up and lets you
 save your settings in "profile" files. These are simple textfiles containing
 definitions for directories and files to be included or excluded from the
 backup process.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with kf5

## kbackup 18.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "18")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "1")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kbackup)

set(QT_MIN_VERSION "5.9.0")
set(KF5_VERSION "5.46.0")

find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="kbackup" -DKBACKUP_VERSION="${KDE_APPLICATIONS_VERSION}")

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS
    Notifications
    I18n
    KIO
    DocTools
    XmlGui
    IconThemes
    Archive
    WidgetsAddons
)

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)


add_subdirectory(src)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kbackup (18.12.1-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:28:14 +0800

kbackup (18.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Uploaders to my new name.
  * Update Copyright to my new name.
  * Update Standards version to 4.2.1 without further changes.
  * Update signing key to minimal as per lintian error.
  * Update copyright file.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sun, 03 Feb 2019 11:54:40 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Clark <sgclark@kde.org>,
-           Scott Kitterman <scott@kitterman.com>
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
+           Scott Kitterman <scott@kitterman.com>,
 Build-Depends: cmake (>= 2.6),
                debhelper (>= 11),
                extra-cmake-modules,
@@ -17,7 +17,7 @@
                qtbase5-dev,
                shared-mime-info,
 Homepage: https://www.kde.org/applications/utilities/kbackup/
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/applications/([\d\.]*)/src/@PACKAGE@-([^-]*).tar.xz

## kbackup 18.12.3

=== debian/changelog ===
kbackup (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:26:27 +0000

kbackup (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:49 +0000

kbackup (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:09:04 +0000

kbackup (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:41 +0000

kbackup (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - debian/rules: Pass --with kf5 to dh
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 16 Dec 2018 22:36:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Scott Kitterman <scott@kitterman.com>,
+Uploaders: Scarlett Clark <sgclark@kde.org>,
+           Scott Kitterman <scott@kitterman.com>
 Build-Depends: cmake (>= 2.6),
                debhelper (>= 11),
                extra-cmake-modules,
@@ -17,9 +17,9 @@
                qtbase5-dev,
                shared-mime-info,
 Homepage: https://www.kde.org/applications/utilities/kbackup/
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbackup
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbackup
 
 Package: kbackup
 Architecture: any

## kbackup 19.04.3

=== debian/changelog ===
kbackup (19.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh copyright file.
  * Bump compat to 12.
  * Bump standards to 4.3.0 - No changes needed.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Wed, 17 Jul 2019 18:12:29 -0700

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Clark <sgclark@kde.org>,
-           Scott Kitterman <scott@kitterman.com>
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
+           Scott Kitterman <scott@kitterman.com>,
 Build-Depends: cmake (>= 2.6),
-               debhelper (>= 11),
+               debhelper (>= 12),
                extra-cmake-modules,
                gettext,
                libkf5doctools-dev,
@@ -17,9 +17,9 @@
                qtbase5-dev,
                shared-mime-info,
 Homepage: https://www.kde.org/applications/utilities/kbackup/
-Standards-Version: 4.1.4
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbackup
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbackup
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git
 
 Package: kbackup
 Architecture: any

## kbackup 19.08.1

=== debian/changelog ===
kbackup (19.08.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards to 4.4.0.1;
    - Add new Rules-Requires-Root to control file.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Thu, 26 Sep 2019 06:13:48 -0700

kbackup (19.08.0-1) unstable; urgency=medium

  * Fix "kbackup's docbook handbook files cannot be read by khelpcentre"
    - Add with=kf5 to rules file. (Closes: #934808)
  * New upstream release.
  * Bump standards to 4.4.0; no changes needed.
  * Update copyright.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Thu, 22 Aug 2019 06:22:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Source: kbackup
+Rules-Requires-Root: no
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
@@ -6,7 +7,7 @@
            Scott Kitterman <scott@kitterman.com>,
 Build-Depends: cmake (>= 2.6),
                debhelper (>= 12),
-               extra-cmake-modules,
+               extra-cmake-modules (>= 5.59~),
                gettext,
                libkf5doctools-dev,
                libkf5i18n-dev,
@@ -17,7 +18,7 @@
                qtbase5-dev,
                shared-mime-info,
 Homepage: https://www.kde.org/applications/utilities/kbackup/
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git

## kbackup 19.12.1

=== debian/changelog ===
kbackup (19.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Jan 2020 03:01:52 -0500

kbackup (19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt to 5.11.0
    - bump/align KF packages to 5.45.0
    - explicitly add libkf5archive-dev, libkf5iconthemes-dev, and
      libkf5widgetsaddons-dev
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jan 2020 06:52:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,23 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Scott Kitterman <scott@kitterman.com>,
-Build-Depends: cmake (>= 2.6),
-               debhelper (>= 12),
-               extra-cmake-modules (>= 5.59~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.45.0~),
                gettext,
-               libkf5doctools-dev,
-               libkf5i18n-dev,
-               libkf5kio-dev,
-               libkf5notifications-dev,
-               libkf5xmlgui-dev,
+               libkf5archive-dev (>= 5.45.0~),
+               libkf5doctools-dev (>= 5.45.0~),
+               libkf5i18n-dev (>= 5.45.0~),
+               libkf5iconthemes-dev (>= 5.45.0~),
+               libkf5kio-dev (>= 5.45.0~),
+               libkf5notifications-dev (>= 5.45.0~),
+               libkf5widgetsaddons-dev (>= 5.45.0~),
+               libkf5xmlgui-dev (>= 5.45.0~),
                pkg-kde-tools (>= 0.5),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.11.0~),
                shared-mime-info,
 Homepage: https://www.kde.org/applications/utilities/kbackup/
-Standards-Version: 4.4.0.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git

## kbackup 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kbackup)

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.45.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="kbackup" -DKBACKUP_VERSION="${KDE_APPLICATIONS_VERSION}")

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Notifications
    I18n
    KIO
    DocTools
    XmlGui
    IconThemes
    Archive
    WidgetsAddons
)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)


add_subdirectory(src)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kbackup (19.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.5.0; No changes required.
  * Update salsa CI config file with team common variables.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Thu, 19 Mar 2020 18:06:26 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: kbackup
-Rules-Requires-Root: no
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
@@ -20,10 +19,11 @@
                pkg-kde-tools (>= 0.5),
                qtbase5-dev (>= 5.11.0~),
                shared-mime-info,
+Standards-Version: 4.5.0
 Homepage: https://www.kde.org/applications/utilities/kbackup/
-Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git
+Rules-Requires-Root: no
 
 Package: kbackup
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with=kf5

## kbackup 20.08.1

=== debian/changelog ===
kbackup (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:52 +0100

kbackup (20.08.0-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (20.08.0)
  * Bump Debhelper compat to 13.
  * Update upstream/metadata.
    - Add Bug-Database and Bug-Submit information.
    - Update repository url to invent.kde.org.
    - Fix the ordering of fields.
    - Remove obsolete name/contact fields.
  * Update Homepage field in debian/control.
  * Cleanup format/files:
    - changelog cleanup.
      - Group and condense entries into easier to read
        format.
    - (prior to knowing it should be left in, due
        to git history issues)
      - gbp removal cleanup:
       - Extra line, adjust for gbp cleanup.
       - Remove upstream remaining cruft.
       - Remove gbp.conf as it should be local.
    - wrap-and-sort
  * Update manpage kbackup.1.
    - Update to current help options.
    - Converted to docbook for upstreaming.
  * Update copyright file.
    - Update to current copyright:
      - Diff versions 19.12.3, 20.04.0, 20.04.3, 20.08.0.
    - Add new field Upstream-Contact.
  * Add override for maintainer-manual-page as
    it is being upstreamed.
  * Use hardening=+all in rules to utilize all hardening options.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sun, 23 Aug 2020 02:37:07 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Scott Kitterman <scott@kitterman.com>,
+           Scott Kitterman <scott@kitterman.com>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.45.0~),
                gettext,
                libkf5archive-dev (>= 5.45.0~),
@@ -20,7 +20,7 @@
                qtbase5-dev (>= 5.11.0~),
                shared-mime-info,
 Standards-Version: 4.5.0
-Homepage: https://www.kde.org/applications/utilities/kbackup/
+Homepage: https://kde.org/applications/en/utilities/org.kde.kbackup
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git
 Rules-Requires-Root: no

## kbackup 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,21 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kbackup)
 
-set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.45.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-add_definitions(-DTRANSLATION_DOMAIN="kbackup" -DKBACKUP_VERSION="${KDE_APPLICATIONS_VERSION}")
+add_definitions(-DTRANSLATION_DOMAIN="kbackup" -DKBACKUP_VERSION="${RELEASE_SERVICE_VERSION}")
+add_definitions(-DQT_NO_KEYWORDS)
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

=== doc/en/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kbackup)

kdoctools_create_manpage (man-kbackup.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== debian/changelog ===
kbackup (20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the local man page, as upstream provides one already.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Jan 2021 13:52:35 +0100

kbackup (20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.71
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 12:01:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
            Scott Kitterman <scott@kitterman.com>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.45.0~),
+               extra-cmake-modules (>= 5.71.0~),
                gettext,
-               libkf5archive-dev (>= 5.45.0~),
-               libkf5doctools-dev (>= 5.45.0~),
-               libkf5i18n-dev (>= 5.45.0~),
-               libkf5iconthemes-dev (>= 5.45.0~),
-               libkf5kio-dev (>= 5.45.0~),
-               libkf5notifications-dev (>= 5.45.0~),
-               libkf5widgetsaddons-dev (>= 5.45.0~),
-               libkf5xmlgui-dev (>= 5.45.0~),
+               libkf5archive-dev (>= 5.71.0~),
+               libkf5doctools-dev (>= 5.71.0~),
+               libkf5i18n-dev (>= 5.71.0~),
+               libkf5iconthemes-dev (>= 5.71.0~),
+               libkf5kio-dev (>= 5.71.0~),
+               libkf5notifications-dev (>= 5.71.0~),
+               libkf5widgetsaddons-dev (>= 5.71.0~),
+               libkf5xmlgui-dev (>= 5.71.0~),
                pkg-kde-tools (>= 0.5),
-               qtbase5-dev (>= 5.11.0~),
-               shared-mime-info,
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.12.0~),
+               shared-mime-info
+Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/en/utilities/org.kde.kbackup
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git

## kbackup 20.12.3

=== debian/changelog ===
kbackup (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:17:16 +0000

kbackup (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:51:39 +0000

## kbackup 21.08.1

=== debian/changelog ===
kbackup (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:31:35 +0100

kbackup (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:59:53 +0100

kbackup (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:52:40 +0100

kbackup (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:54 +0100

kbackup (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:40:44 +0100

kbackup (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:37:09 +0100

kbackup (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:03:53 +0100

kbackup (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:32:26 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5xmlgui-dev (>= 5.71.0~),
                pkg-kde-tools (>= 0.5),
                qtbase5-dev (>= 5.12.0~),
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/en/utilities/org.kde.kbackup
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup

## kbackup 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kbackup VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.85.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="kbackup" -DKBACKUP_VERSION="${RELEASE_SERVICE_VERSION}")

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    GuiAddons
    Notifications
    I18n
    KIO
    DocTools
    XmlGui
    IconThemes
    Archive
    WidgetsAddons
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500)


add_subdirectory(src)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_subdirectory(pics)
add_executable(kbackup)

target_sources(kbackup PRIVATE
    Archiver.cxx
    MainWindow.cxx
    Selector.cxx
    main.cxx
    MainWidget.cxx
    SettingsDialog.cxx

    Archiver.hxx
    Selector.hxx
    MainWidget.hxx
    MainWindow.hxx
    SettingsDialog.hxx
    )

ki18n_wrap_ui(kbackup MainWidgetBase.ui SettingsDialog.ui)

target_link_libraries(kbackup
                      Qt::Core
                      Qt::Widgets
                      KF5::GuiAddons
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOFileWidgets
                      KF5::KIOWidgets
                      KF5::WidgetsAddons
                      KF5::XmlGui
                      KF5::Notifications
                      KF5::IconThemes
                      KF5::Archive
)

install(TARGETS kbackup ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

find_package(SharedMimeInfo REQUIRED)

install(FILES kbackup.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

install(FILES  org.kde.kbackup.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES  kbackupui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kbackup)
install(FILES org.kde.kbackup.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(ICONS
                  16-apps-kbackup.png
                  32-apps-kbackup.png
                  16-mimetypes-text-x-kbp.png
                  32-mimetypes-text-x-kbp.png
                  DESTINATION ${KDE_INSTALL_ICONDIR}
                  THEME hicolor)

=== debian/changelog ===
kbackup (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:08:06 +0000

kbackup (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:14:37 +0000

kbackup (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:22:27 +0000

kbackup (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:19:24 +0000

kbackup (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:03:30 +0000

kbackup (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:14:48 +0000

kbackup (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:01 +0000

kbackup (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:37:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kbackup
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Scott Kitterman <scott@kitterman.com>
 Build-Depends: cmake (>= 3.5~),
@@ -21,8 +22,8 @@
                shared-mime-info,
 Standards-Version: 4.5.1
 Homepage: https://kde.org/applications/en/utilities/org.kde.kbackup
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbackup
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbackup
 Rules-Requires-Root: no
 
 Package: kbackup

## kbackup 22.08.1

=== debian/changelog ===
kbackup (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:36 +0100

kbackup (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:45 +0100

kbackup (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:25:07 +0100

kbackup (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:59:00 +0100

kbackup (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:56:12 +0100

kbackup (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:45:30 +0100

## kbackup 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kbackup VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.90.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

add_definitions(-DTRANSLATION_DOMAIN="kbackup" -DKBACKUP_VERSION="${RELEASE_SERVICE_VERSION}")

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    GuiAddons
    Notifications
    I18n
    KIO
    XmlGui
    IconThemes
    Archive
    WidgetsAddons
)
find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)


add_subdirectory(src)

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 ki18n_wrap_ui(kbackup MainWidgetBase.ui SettingsDialog.ui)
 
 target_link_libraries(kbackup
-                      Qt::Core
-                      Qt::Widgets
+                      Qt${QT_MAJOR_VERSION}::Core
+                      Qt${QT_MAJOR_VERSION}::Widgets
                       KF5::GuiAddons
                       KF5::I18n
                       KF5::KIOCore
@@ -41,7 +41,7 @@
 update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
 
 install(FILES  org.kde.kbackup.desktop DESTINATION ${KDE_INSTALL_APPDIR})
-install(FILES  kbackupui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/kbackup)
+install(FILES  kbackupui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/kbackup)
 install(FILES org.kde.kbackup.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ecm_install_icons(ICONS

=== debian/changelog ===
kbackup (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:46 +0100

kbackup (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:34:07 +0100

kbackup (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:31 +0100

kbackup (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:50 +0100

kbackup (21.12.3-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 21:25:38 +0100

kbackup (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:51:55 +0900

kbackup (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Added myself to the uploaders.
  * Borrow minimal upstream signing key from k3b.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:25:07 +0900

=== debian/control ===
Source: kbackup
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5archive-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.5),
               qtbase5-dev (>= 5.15.2~),
               shared-mime-info,
Standards-Version: 4.6.2
Homepage: https://kde.org/applications/en/utilities/org.kde.kbackup
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbackup
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbackup.git
Rules-Requires-Root: no

Package: kbackup
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Easy to use backup program
 Kbackup is a program that lets you back up any directories or files. It uses
 an easy to use directory tree to select the things to back up and lets you
 save your settings in "profile" files. These are simple textfiles containing
 definitions for directories and files to be included or excluded from the
 backup process.
